##  for PCLinuxOS  ##

Name:    setime
Summary: Choose and setup Input Method
Summary(ja): インプットメソッドの選択と設定
Version: 4.3
Release: 1.nora21
License: distributable
Group:   System/Internationalization
URL:     http://tomcat.nyanta.jp/sb2/sb.cgi?eid=239
Source0: %{name}-%{version}.tar.xz
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
Requires: yad
Requires: gksu
BuildArch: noarch

%description
This package contain scripts for setting Input Method.
See below web page.(Japanese)
http://tomcat.nyanta.jp/sb2/sb.cgi?eid=239

[Caution]
* After installed this package, you should re-login.
* After executed setime|gsetime, you should re-login.
* This tool support ibus, fcitx5, fcitx, uim.

%description -l ja
インプットメソッドの選択と設定を行う為のスクリプト群です。

【注意】
・setime または gsetime の実行後は再ログインまたは再起動してください。
・このツールが対応しているインプットメソッドは ibus, fcitx5, fcitx, uim です。


%prep
%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/{setime,applications,pixmaps}
install -p -m755 setime $RPM_BUILD_ROOT%{_bindir}
install -p -m755 gsetime $RPM_BUILD_ROOT%{_bindir}
install -p -m755 setime-delete-old-settings $RPM_BUILD_ROOT%{_bindir}
install -p -m755 setime-sub $RPM_BUILD_ROOT%{_datadir}/%{name}
install -p -m644 README $RPM_BUILD_ROOT%{_datadir}/%{name}
install -p -m644 ChangeLog_ja $RPM_BUILD_ROOT%{_datadir}/%{name}
install -p -m644 gsetime.desktop $RPM_BUILD_ROOT%{_datadir}/applications
install -p -m644 gsetime.png $RPM_BUILD_ROOT%{_datadir}/pixmaps
install -p -m755 ibus-autostart.sh $RPM_BUILD_ROOT%{_bindir}
install -p -m755 fcitx5-autostart.sh $RPM_BUILD_ROOT%{_bindir}
install -p -m755 fcitx-autostart.sh $RPM_BUILD_ROOT%{_bindir}
install -p -m644 10lang.sh.setime $RPM_BUILD_ROOT%{_datadir}/%{name}


%post
%{_bindir}/setime-delete-old-settings > /dev/null


%files
%defattr(-,root,root)
%{_bindir}/*
%{_datadir}/setime/*
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/gsetime.png


%changelog
* Wed Jan 27 2021 tomcat <> 4.3-1
- 4.3

* Tue Jan 12 2021 tomcat <> 4.2-1
- 4.2

* Mon Jan 11 2021 tomcat <> 4.1-1
- 4.1

* Mon Jan 11 2021 tomcat <> 4.0-1
- 4.0
    * support fcitx5

* Mon Jan 11 2021 tomcat <> 3.1-1
- 3.1
    * fix against yad-7.2

* Fri Apr 17 2020 tomcat <> 3.0-1
- 3.0
- drop suport scim, scim-bridge
- update %%description

* Fri Nov 02 2018 tomcat <> 2.2-1
- 2.2

* Sat Oct 20 2018 tomcat <> 2.1-1
- 2.1

* Mon Aug 28 2017 tomcat <> 2.0-1
- 2.0
- add %%{_datadir}/setime/10lang.sh.setime

* Mon Aug 07 2017 tomcat <> 1.11-1
- 1.11

* Fri Aug 04 2017 tomcat <> 1.10-1
- 1.10

* Sun Jul 30 2017 tomcat <> 1.9-1
- 1.9

* Sun Jul 23 2017 tomcat <> 1.8-1
- 1.8
- add %%{_bindir}/*-autostart.sh

* Thu Jun 29 2017 tomcat <> 1.7-1
- 1.7

* Wed Jun 28 2017 tomcat <> 1.6-1
- 1.6

* Mon Jun 26 2017 tomcat <> 1.5-1
- 1.5

* Fri Apr 07 2017 tomcat <> 1.3.1-1
- 1.3.1

* Fri Apr 07 2017 tomcat <> 1.3-1
- 1.3

* Wed Mar 29 2017 tomcat <> 1.2-1
- 1.2

* Wed Feb 15 2017 tomcat <> 1.1-1
- 1.1

* Mon Sep 26 2016 tomcat <> 1.0-1
- 1.0

* Sat Sep 24 2016 tomcat <> 0.302-1
- 0.302

* Sat Sep 24 2016 tomcat <> 0.301-1
- 0.301
- remove %%{_datadir}/setime/setime-lib

* Sat Jul 30 2016 tomcat <> 0.101-1
- 0.101

* Fri Jul 29 2016 tomcat <> 0.100-1
- 0.100

* Fri Jul 22 2016 tomcat <> 0.99-1
- 0.99

* Sat Nov 14 2015 tomcat <> 0.98.1-1
- 0.98.1

* Fri Nov 13 2015 tomcat <> 0.98-1
- 0.98
- use R:yad instead of R:zenity

* Sun Sep 27 2015 tomcat <> 0.97-1
- 0.97

* Sat Sep 18 2015 tomcat <> 0.96-1
- 0.96

* Wed Aug 19 2015 tomcat <> 0.95-1
- 0.95
- drop R:patch
- rename imelib to setime-lib
- remove %%{_datadir}/setime/restore_10lang_sh.diff

* Sun May 11 2014 tomcat <> 0.93-1
- 0.93
- add R:patch
- add %%{_datadir}/setime/restore_10lang_sh.diff
- remove %%{_datadir}/setime/10lang.sh.setime

* Mon Dec 02 2013 tomcat <> 0.88-0.1
- 0.88
- add %%{_datadir}/setime/ChangeLog_en

* Tue Jul 02 2013 tomcat <> 0.87-1nora13
- 0.87

* Fri Mar 29 2013 tomcat <> 0.86-1nora13
- 0.86

* Tue Feb 26 2013 tomcat <> 0.85-1nora13
- 0.85

* Tue Feb 12 2013 tomcat <> 0.80-1nora13
- 0.80

* Sat Oct 20 2012 tomcat <> 0.78-1nora12
- 0.78

* Tue Jun 26 2012 tomcat <> 0.77-1nora12
- 0.77

* Wed May 09 2012 tomcat <> 0.76-1nora12
- 0.76

* Fri Mar 23 2012 tomcat <> 0.71-1nora12
- 0.71

* Fri Mar 23 2012 tomcat <> 0.70-1nora12
- 0.70
- update %%post section

* Wed Feb 08 2012 tomcat <> 0.60-1nora12
- 0.60

* Thu Jan 12 2012 tomcat <> 0.59-1nora11
- 0.59

* Thu Nov 17 2011 tomcat <> 0.58-1nora11
- 0.58

* Sun Oct 04 2011 tomcat <> 0.57-1nora11
- 0.57

* Tue Oct 04 2011 tomcat <> 0.56-2nora11
- update %%post section

* Tue Oct 04 2011 tomcat <> 0.56-1nora11
- 0.56

* Sat Sep 24 2011 tomcat <> 0.55-3nora11
- fix %%post section

* Wed Aug 03 2011 tomcat <> 0.55-2nora11
- fix typo

* Wed Aug 03 2011 tomcat <> 0.55-1nora11
- 0.55
- updat %%files and %%post section

* Sun Jul 31 2011 tomcat <> 0.50-1nora11
- 0.50 (test build)

* Fri Jul 29 2011 tomcat <> 0.43-1nora11
- 0.43
- update %%post section

* Thu Jul 28 2011 tomcat <> 0.42-1nora11
- 0.42
- fix %%post section

* Wed Jul 27 2011 tomcat <> 0.41-1nora11
- 0.41 (test build)

* Mon Jul 25 2011 tomcat <> 0.40-1nora11
- 0.40 (test build)

* Sat Jul 02 2011 tomcat <> 0.33-1nora11
- 0.33

* Mon Mar 28 2011 tomcat <> 0.32-1nora11
- 0.32
- fix %%post section

* Tue Mar 08 2011 tomcat <> 0.31-1nora11
- 0.31

* Mon Mar 07 2011 tomcat <> 0.30-1nora11
- 0.30
- update %%post section

* Sat Jan 01 2011 tomcat <> 0.20-1nora103
- 0.20
- add 'Conflicts: ibus-autostart'
- update %%post section

* Sat Dec 05 2010 tomcat <> 0.18-1nora103
- 0.18

* Sat Nov 27 2010 tomcat <> 0.17-1nora103
- 0.17

* Mon Nov 15 2010 tomcat <> 0.16-1nora103
- 0.16

* Thu Nov 04 2010 tomcat <> 0.15-1nora103
- 0.15
  - add icon
- update %%files section

* Wed Aug 04 2010 tomcat <> 0.14-1nora102
- 0.14

* Fri Jul 02 2010 tomcat <> 0.13-1nora101
- 0.13

* Sun May 16 2010 tomcat <> 0.12-1nora101
- 0.12

* Fri May 14 2010 tomcat <> 0.11-1nora101
- 0.11

* Thu May 06 2010 tomcat <> 0.10-1nora101
- 0.10

* Mon Apr 26 2010 tomcat <> 0.9-1nora10
- 0.9

* Sat Apr 24 2010 tomcat <> 0.8-1nora10
- 0.8

* Wed Apr 14 2010 tomcat <> 0.7.1-1nora10
- 0.7.1
- add 'Requires: gksu'

* Mon Mar 29 2010 tomcat <> 0.7-1nora10
- 0.7

* Sat Mar 27 2010 tomcat <> 0.6-1nora10
- 0.6
- install README and ChangeLog

* Tue Mar 16 2010 tomcat <> 0.5-1nora10
- 0.5

* Sun Mar 07 2010 tomcat <> 0.4-1nora10
- 0.4
- build for PCLOS 2010 beta 1

* Fri Dec 04 2009 tomcat <> 0.3-2nora10
- fix URL

* Thu Dec 03 2009 tomcat <> 0.3-1nora10
- 0.3

* Tue Dec 01 2009 tomcat <> 0.2-1nora10
- 0.2

* Mon Nov 30 2009 tomcat <> 0.1-1nora10
- initial build, based on 'setime' script of Vine Linux 5.0
